scoredir=$(localstatedir)/games
helpdir = $(datadir)/gnome/help/gbatnav/C
Gamesdir = $(datadir)/gnome/apps/Games
appicondir=$(datadir)/pixmaps

INCLUDES = 			\
	-I$(srcdir)/../common	\
	-I$(srcdir)/../intl	\
	-DGNOMELOCALEDIR=\""$(datadir)/locale"\" \
	-I$(includedir)				 \
	$(GNOME_INCLUDEDIR)			\
	@GGZDMOD_INCLUDES@			\
	-I$(srcdir)/../gbnclient/pixmaps	\
	-DBINDIR=\"$(bindir)\"

bin_PROGRAMS = gbnserver

gbnserver_SOURCES =	\
	gbnserver.c	\
	gbnserver.h	\
	check_board.c	\
	check_board.h	\
	g_interface.c	\
	g_interface.h	\
	play.c		\
	play.h		\
	server.h	\
	version.h	\
	batnavggz.c	\
	batnavggz.h


gbnserver_DEPENDENCIES = ../common/libbatnavcommon.a $(INTLDEPS)
gbnserver_LDADD =			\
	../common/libbatnavcommon.a	\
	@GGZDMOD_LDFLAGS@		\
	$(GNOME_LIBDIR)			\
	$(GNOMEUI_LIBS)			\
	$(INTLLIBS)

EXTRA_DIST = README AUTHORS index.html gbnserver.desktop gbatnav-topic.dat gnome-gbatnavd.png index.html

appicon_DATA = gnome-gbatnavd.png

Games_DATA = gbnserver.desktop

install-data-local:
	-$(mkinstalldirs) $(scoredir) $(helpdir)
	-touch $(scoredir)/gbatnav.scores
	-chown games.games $(scoredir)/gbatnav.scores
	-chmod 664 $(scoredir)/gbatnav.scores
	-$(INSTALL_DATA) $(srcdir)/index.html $(helpdir)
	-$(INSTALL_DATA) $(srcdir)/gbatnav-topic.dat $(helpdir)/topic.dat
